I am not sure if this is the correct place to ask.

I am looking for the extension Quick Templates, but it is not compatible
with Firefox 1.5 http://www.extensionsmirror.nl/index.php?showtopic=1375